#!/bin/bash

# Create a Docker network if it doesn't exist
docker network create reel-caption-network 2>/dev/null || true

# Remove existing container if it exists
docker rm -f reel-caption-maker 2>/dev/null || true

# Run the Docker container
docker run -d \
  --name reel-caption-maker \
  --network reel-caption-network \
  -p 8501:8501 \
  -v whisper_model:/root/.cache/huggingface \
  reel-caption-maker

# Print the container logs
docker logs -f reel-caption-maker